Borders (JGoodies Forms 1.9 API)
Date: 2015-02-02

com.jgoodies.forms.factories

## Class Borders

- java.lang.Object
- - com.jgoodies.forms.factories.Borders

- Deprecated.
  Replaced by `Paddings`.

      @Deprecated
      public final class Borders
      extends Object

  Provides constants and factory methods for paddings (empty borders) that use instances of `ConstantSize` to define the margins.

  Examples:

       Borders.DLU2
       Borders.createEmptyBorder(Sizes.DLUY4, Sizes.DLUX2, Sizes.DLUY4, Sizes.DLUX2);
       Borders.createEmptyBorder("4dlu, 2dlu, 4dlu, 2dlu");

  Version:
    $Revision: 1.14 $
  Author:
    Karsten Lentzsch
  See Also:
    `Border`, `Sizes`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Paddings.Padding` | `BUTTON_BAR_PAD` Deprecated. A standardized Border that describes the gap between a component and a button bar in its bottom.
    `static Paddings.Padding` | `DIALOG` Deprecated. A standardized Border that describes the border around a dialog content that has no tabs.
    `static Paddings.Padding` | `DLU14` Deprecated. A prepared Border with 14dlu on all sides.
    `static Paddings.Padding` | `DLU2` Deprecated. A prepared and reusable Border with 2dlu on all sides.
    `static Paddings.Padding` | `DLU21` Deprecated. A prepared Border with 21dlu on all sides.
    `static Paddings.Padding` | `DLU4` Deprecated. A prepared and reusable Border with 4dlu on all sides.
    `static Paddings.Padding` | `DLU7` Deprecated. A prepared and reusable Border with 7dlu on all sides.
    `static Paddings.Padding` | `DLU9` Deprecated. A prepared and reusable Border with 9dlu on all sides.
    `static EmptyBorder` | `EMPTY` Deprecated. A prepared and reusable EmptyBorder without gaps.
    `static Paddings.Padding` | `TABBED_DIALOG` Deprecated. A standardized Border that describes the border around a dialog content that uses tabs.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Paddings.Padding` | `createEmptyBorder(ConstantSize top, ConstantSize left, ConstantSize bottom, ConstantSize right)` Deprecated. Replaced by `Paddings.createPadding(ConstantSize, ConstantSize, ConstantSize, ConstantSize)`.
    `static Paddings.Padding` | `createEmptyBorder(String encodedSizes)` Deprecated. Replaced by `Paddings.createPadding(String, Object...)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final EmptyBorder EMPTY

      Deprecated.
      A prepared and reusable EmptyBorder without gaps.

    - #### DLU2

          public static final Paddings.Padding DLU2

      Deprecated.
      A prepared and reusable Border with 2dlu on all sides.

    - #### DLU4

          public static final Paddings.Padding DLU4

      Deprecated.
      A prepared and reusable Border with 4dlu on all sides.

    - #### DLU7

          public static final Paddings.Padding DLU7

      Deprecated.
      A prepared and reusable Border with 7dlu on all sides.

    - #### DLU9

          public static final Paddings.Padding DLU9

      Deprecated.
      A prepared and reusable Border with 9dlu on all sides.
      Since:
        1.6

    - #### DLU14

          public static final Paddings.Padding DLU14

      Deprecated.
      A prepared Border with 14dlu on all sides.

    - #### DLU21

          public static final Paddings.Padding DLU21

      Deprecated.
      A prepared Border with 21dlu on all sides.
      Since:
        1.2

    - #### BUTTON_BAR_PAD

          public static final Paddings.Padding BUTTON_BAR_PAD

      Deprecated.
      A standardized Border that describes the gap between a component and a button bar in its bottom.

    - #### DIALOG

          public static final Paddings.Padding DIALOG

      Deprecated.
      A standardized Border that describes the border around a dialog content that has no tabs.
      See Also:
        `TABBED_DIALOG`

    - #### TABBED_DIALOG

          public static final Paddings.Padding TABBED_DIALOG

      Deprecated.
      A standardized Border that describes the border around a dialog content that uses tabs.
      See Also:
        `DIALOG`

  - ### Method Detail

    - #### createEmptyBorder

          @Deprecated
          public static Paddings.Padding createEmptyBorder(ConstantSize top,
                                                      ConstantSize left,
                                                      ConstantSize bottom,
                                                      ConstantSize right)

      Deprecated. Replaced by `Paddings.createPadding(ConstantSize, ConstantSize, ConstantSize, ConstantSize)`.
      Creates and returns an `EmptyBorder` with the specified gaps.
      Parameters:
        `top` - the top gap
        `left` - the left-hand side gap
        `bottom` - the bottom gap
        `right` - the right-hand side gap
      Returns:
        an `EmptyBorder` with the specified gaps
      Throws:
        `NullPointerException` - if top, left, bottom, or right is `null`
      See Also:
        `createEmptyBorder(String)`

    - #### createEmptyBorder

          @Deprecated
          public static Paddings.Padding createEmptyBorder(String encodedSizes)

      Deprecated. Replaced by `Paddings.createPadding(String, Object...)`.
      Creates and returns a `Border` using sizes as specified by the given string. This string is a comma-separated encoding of 4 `ConstantSize`s.
      Parameters:
        `encodedSizes` - top, left, bottom, right gap encoded as String
      Returns:
        an `EmptyBorder` with the specified gaps
      See Also:
        `createEmptyBorder(ConstantSize, ConstantSize, ConstantSize, ConstantSize)`

Copyright © 2002-2015 JGoodies Software GmbH. All Rights Reserved.